// creator  : weidu (version 130)
// argument : JEANNA.DLG
// game     : .
// source   : ./override/JEANNA.DLG
// dialog   : ./dialog.tlk
// dialogF  : ./dialogf.tlk

BEGIN ~JEANNA~ 108 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #5 /* Triggers after states #: 20 22 23 24 25 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionGT(LastTalkedToBy(),NEUTRAL_UPPER)
!Dead("Morik")
Num~ THEN BEGIN 0 // from:
  SAY @1 /* ~Hold Montaron, this young wayfarer is in need.  Someone has set about thee, stranger, and you have barely escaped with your life.~ #108 */
  IF ~~ THEN DO ~bal("SpokeToJeanna","GLOBAL",1)

SetG~ EXTERN ~MORIK~ 0
END

IF WEIGHT #6 /* Triggers after states #: 20 22 23 24 25 even though they appear after this state */
~TimesTalkedTo(0)
ReactionGT(LastTalkedToBy(),HOSTILE_UPPER)
ReactionLT(LastTalkedToBy(),FRIENDLY_LOWER)
!Dead("Morik")
NumTim~ THEN BEGIN 1 // from:
  SAY @2 /* ~A child wandering the wilderness?  Surely you must be none too bright to be traveling these roads.~ #109 */
  IF ~~ THEN DO ~lobal("SpokeToJeanna","GLOBAL",1)

Gi~ EXTERN ~MORIK~ 1
END

IF WEIGHT #7 /* Triggers after states #: 20 22 23 24 25 even though they appear after this state */
~esTalkedTo(0)
ReactionLT(LastTalkedToBy(),NEUTRAL_LOWER)
!Dead("Morik")
GlobalTim~ THEN BEGIN 2 // from:
  SAY @3 /* ~An exhausted whelp in the forest?~ #110 */
  IF ~~ THEN EXTERN ~MORIK~ 2
END

IF ~~ THEN BEGIN 3 // from:
  SAY @4 /* ~Indeed.  I can offer you healing potions, if you wish, as a token of good will.~ #102 */
  IF ~~ THEN REPLY @5 /* ~I'd be grateful for any assistance.~ #241 */ GOTO 7
  IF ~~ THEN REPLY @6 /* ~I prefer to manage on my own.~ #242 */ GOTO 4
  IF ~~ THEN REPLY @7 /* ~I know you not and want none of your help!~ #243 */ GOTO 18
END

IF ~~ THEN BEGIN 4 // from: 3.1
  SAY @8 /* ~You do not trust us?~ #103 */
  IF ~~ THEN EXTERN ~MORIK~ 3
END

IF ~~ THEN BEGIN 5 // from:
  SAY @9 /* ~Now Montaron, had I just been attacked I might be leery as well.  So be it, I shall not heal you.~ #104 */
  IF ~~ THEN EXTERN ~MORIK~ 4
END

IF ~~ THEN BEGIN 6 // from:
  SAY @10 /* ~Neither shall I hold thee to a debt of honor for slighting my... good intentions, though your conscience may.~ #217 */
  IF ~~ THEN EXTERN ~MORIK~ 5
END

IF ~~ THEN BEGIN 7 // from: 3.0
  SAY @11 /* ~Nothing to fear from these simple potions, and I'll not even hold you in debt, though your conscience knows otherwise.~ #218 */
  IF ~~ THEN DO ~veItem("POTN21",LastTalkedToBy)

Se~ EXTERN ~MORIK~ 5
END

IF ~~ THEN BEGIN 8 // from:
  SAY @12 /* ~Perhaps as payment you would go with us to Nashkel.  It is a troubled area and we mean to investigate some disturbing rumors surrounding the local mine.  Some acquaintances are very concerned about the iron shortage.  Specifically, where to lay blame in the matter.  You would be useful, though I'll not hold you to it.  We are to meet the mayor of the town, a man named Berrun Ghastkill, I believe.~ #219 */
  IF ~~ THEN EXTERN ~MORIK~ 6
END

IF ~~ THEN BEGIN 9 // from:
  SAY @13 /* ~My compatriot and I go to Nashkel.  Our business is not your concern.  Suffice it to say that some acquaintances of mine wish us to look into this iron shortage.  If you follow, I'm sure we'll find a use for you.~ #220 */
  IF ~~ THEN REPLY @14 /* ~There is little else for me to do.  I may as well go with you.~ #245 */ GOTO 10
  IF ~~ THEN REPLY @15 /* ~Go on your way and leave me be.  I would go my own path.~ #246 */ GOTO 11
  IF ~onGT(LastTalkedToBy(),HOSTILE_UPPER)
Reacti~ THEN REPLY @16 /* ~I would join with you, but I must meet someone first.  Perhaps you will go with me?~ #247 */ GOTO 12
  IF ~onLT(LastTalkedToBy(),NEUTRAL_LOWER)
SetGlo~ THEN REPLY @16 /* ~I would join with you, but I must meet someone first.  Perhaps you will go with me?~ #248 */ GOTO 13
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY @17 /* ~Goody good good!  We should make haste to Nashkel, just a short ways south of here.  Onward intrepid friends.~ #221 */
  IF ~~ THEN JOURNAL @18 /* ~Xzar and Montaron wish me to travel to Nashkel.~ #3422 */ EXTERN ~MORIK~ 10
END

IF ~~ THEN BEGIN 11 // from: 9.1
  SAY @19 /* ~You won't do this for me?  You're bad, and I'll have someone hurt you!  You'll see!  That one's a meany, Monty; not a nice child at all!~ #222 */
  IF ~~ THEN EXTERN ~MORIK~ 9
END

IF ~~ THEN BEGIN 12 // from: 9.2
  SAY @20 /* ~We've precious little time, but it's best to travel accompanied.~ #223 */
  IF ~~ THEN JOURNAL @18 /* ~Xzar and Montaron wish me to travel to Nashkel.~ #3422 */ EXTERN ~MORIK~ 7
END

IF ~~ THEN BEGIN 13 // from: 9.3
  SAY @21 /* ~Silly!  Your friends are no concern of ours.  Go as you wish by yourself.  Hopefully you fare better than you have so far.~ #224 */
  IF ~~ THEN EXTERN ~MORIK~ 8
END

IF WEIGHT #8 /* Triggers after states #: 20 22 23 24 25 even though they appear after this state */
~erExpired("Jeanna","GLOBAL")
Global("VisitRagefast","GLOBAL",1)
Global("Chapter","GLOBAL",1)
GlobalT~ THEN BEGIN 14 // from:
  SAY @22 /* ~I've no wish to strain our relationship, but you did promise to go to Nashkel.  Our delay is making me rather... tense.  I'm not nice when I'm tense.~ #225 */
  IF ~~ THEN DO ~tGlobal("VisitRagefast","GLOBAL",2)

SetGlobalTimer("Jeanna","GLOBAL",ONE_DAY)

~ EXIT
END

IF WEIGHT #9 /* Triggers after states #: 20 22 23 24 25 even though they appear after this state */
~imerExpired("Jeanna","GLOBAL")
Global("VisitRagefast","GLOBAL",2)
Global("Chapter","GLOBAL",1)
Globa~ THEN BEGIN 15 // from:
  SAY @23 /* ~Much as I truly care about your needs, I would prefer that we forgot your petty travels and went to Nashkel!~ #226 */
  IF ~~ THEN DO ~SetGlobal("VisitRagefast","GLOBAL",3)
SetGlobalTimer("Jeanna","GLOBAL",ONE_DAY)
~ EXIT
END

IF ~~ THEN BEGIN 16 // from:
  SAY @24 /* ~Ooo... subtle, yet insulting.~ #227 */
  IF ~~ THEN EXIT
END

IF WEIGHT #10 /* Triggers after states #: 20 22 23 24 25 even though they appear after this state */
~lTimerExpired("Jeanna","GLOBAL")
Global("VisitRagefast","GLOBAL",3)
Global("Chapter","GLOBAL",1)
!Dead("Morik")
True()~ THEN BEGIN 17 // from:
  SAY @25 /* ~You said we would go to Nashkel!  You did!  I don't wanna be you friend no more!  Wahhhhhh!~ #228 */
  IF ~~ THEN DO ~SetGlobal("VisitRagefast","GLOBAL",4)
~ EXTERN ~MORIK~ 9
END

IF ~~ THEN BEGIN 18 // from: 3.2
  SAY @26 /* ~Well I never!  Hmph!~ #244 */
  IF ~~ THEN EXTERN ~MORIK~ 9
END

IF ~~ THEN BEGIN 19 // from:
  SAY @27 /* ~I have nothing more to say to you!  You chose your goody-goody bedfellows, now make your bed and lay in it!~ #4306 */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 20 // from:
  SAY @28 /* ~Well, my good friends, perhaps you'd like to know a little more about me?  I'm part of an order known as the Zhentarim.  We've been sent to learn why the Zhentish name has been slandered along the Coast Way.  It would seem that someone has been trying to make our order look bad.~ #6435 */
  IF ~~ THEN EXIT
END

IF WEIGHT #11 /* Triggers after states #: 22 23 24 25 even though they appear after this state */
~

Reacti~ THEN BEGIN 21 // from:
  SAY @29 /* ~Have ye changed your mind there kid.  Do you want our help?~ #15581 */
  IF ~~ THEN REPLY @30 /* ~Yes, I would like your companionship.~ #17825 */ DO ~~ EXIT
  IF ~~ THEN REPLY @31 /* ~No, I haven't changed my mind.~ #17826 */ EXIT
END

IF WEIGHT #1 ~False()~ THEN BEGIN 22 // from:
  SAY @32 /* ~You... you're letting me go?  But we have shared so much... so many good times... this is truly a sad day indeed.  Goodbye, so sad, blah blah blah and all that rot.~ #15915 */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~False()~ THEN BEGIN 23 // from:
  SAY @33 /* ~You... you're letting me go?  But we have shared so much... so many good times... this is truly a sad day indeed.  Goodbye, so sad, blah blah blah and all that rot.  Come along Montaron.  You are my counterpart and we shall not be separated.~ #15916 */
  IF ~~ THEN DO ~~ EXIT
END

IF WEIGHT #3 ~False()~ THEN BEGIN 24 // from:
  SAY @34 /* ~Indeed, it is quite about time that we should part company.  You have proven unsympathetic to my interests, and I look forward to eventually owning a charming little ashtray made from your skull.  Toodles.~ #16044 */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~False()~ THEN BEGIN 25 // from:
  SAY @35 /* ~Indeed, it is quite about time that we should part company.  You have proven unsympathetic to my interests, and I look forward to eventually owning a charming little ashtray made from your skull.  Come, Montaron.  We shall not be separated by this fool.~ #16045 */
  IF ~~ THEN DO ~~ EXIT
END
